### Method

# FwupdPlugin Firmware add_magic

since: 2.0.18

#### Declaration [src]

    void
    fu_firmware_add_magic (
      FuFirmware* self,
      const guint8* buf,
      gsize bufsz,
      gsize offset
    )

#### Description [src]

Adds a possible magic signature to the image.

Available since: 2.0.18

#### Parameters

`buf`

  Type: `const guint8*`

  Some data.

  The data is owned by the caller of the method.

`bufsz`

  Type: `gsize`

  Sizeof `buf`.

`offset`

  Type: `gsize`

  Offset to start parsing, typically 0x0.